- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# PlaySoundCommand Class Reference

`#include <Command.h>`

Inheritance diagram for PlaySoundCommand:

List of all members.

## Public Member Functions
| PlaySoundCommand (std::string filename)
| PlaySoundCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
std::string | _filename
## Static Private Attributes
static const std::string | _id = "playSound"

## Detailed Description

Definition at line 116 of file Command.h.

## Constructor & Destructor Documentation

PlaySoundCommand::PlaySoundCommand | ( | std::string | filename | ) |

| Definition at line 9 of file PlaySoundCommand.cpp. References _filename, Level::instance(), and Level::loadSound().

PlaySoundCommand::PlaySoundCommand | ( | List * | command | ) |

| Definition at line 15 of file PlaySoundCommand.cpp. References _filename, List::firstString(), Level::instance(), Level::loadSound(), and List::rest().

## Member Function Documentation

void PlaySoundCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 22 of file PlaySoundCommand.cpp. References _filename, and Level::instance().

std::string PlaySoundCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 28 of file PlaySoundCommand.cpp. References _filename, _id, List::getString(), and List::snoc().

static std::string PlaySoundCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 123 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

std::string PlaySoundCommand::_filename`[private]`

| Definition at line 125 of file Command.h. Referenced by execute(), getString(), and PlaySoundCommand().

const std::string PlaySoundCommand::_id = "playSound"`[static, private]`

| Definition at line 127 of file Command.h. Referenced by getString(), and id().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/PlaySoundCommand.cpp